Package lxml :: Module etree :: Class ElementTextIterator |
[frames] | no frames]

# Class ElementTextIterator

    object --+
             |
            ElementTextIterator

ElementTextIterator(self, element, tag=None, with_tail=True) Iterates over the text content of a subtree.

You can pass the `tag` keyword argument to restrict text content to a specific tag name.

You can set the `with_tail` keyword argument to `False` to skip over tail text.

Instance Methods
__init__(self, element, tag=None, with_tail=True) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |
__iter__(...) |
a new object with type S, a subtype of T |
__new__(T, S, ...) |
__next__(...) |
the next value, or raise StopIteration |
next(x) |
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, element, tag=None, with_tail=True) (Constructor) |
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__